using System;

namespace TwitchEventSub.Types.EventSubSubscription
{
    public class Subscription
    {
        public string id { get; set; } //Your client ID.
        public string type { get; set; } //The notification’s subscription type.
        public string version { get; set; } //The version of the subscription.
        public string status { get; set; } //The status of the subscription.
        public int cost { get; set; } //How much the subscription counts against your limit. See Subscription Limits for more information.
        public Conditions.Condition condition { get; set; } //Subscription-specific parameters.
        public string created_at { get; set; } //The tChannelPointsime the notification was created.
    }
    internal class UnrefinedSubscription
    {
        public string id { get; set; } 
        public string type { get; set; }
        public string version { get; set; }
        public string status { get; set; } 
        public int cost { get; set; } 
        public string condition { get; set; } 
        public string created_at { get; set; } 
    }
}