namespace TwitchEventSub.Types.Prediction
{
    public class Outcome
    {
        public string id { get; set; } //The outcome ID.
        public string title { get; set; } //The outcome title.
        public string color { get; set; } //The color for the outcome. Valid values are pink and blue.
        public int users { get; set; } //The number of users who used Channel Points on this outcome.
        public int channel_points { get; set; } //The total number of Channel Points used on this outcome.
        public Predictor[] top_predictors { get; set; } //An array of up to 10 users who used the most Channel Points on this outcome.
    }
}