namespace TwitchEventSub.Types.ChannelSubscription
{
    //this event continues to be WILD. what POSSIBLE use can there be that isn't horrible?
    public class ChannelSubscriptionEnd : Event
    {
        public string user_id { get; set; } //The user ID for the user whose subscription ended.
        public string user_login { get; set; } //The user login for the user whose subscription ended.
        public string user_name { get; set; } //The user display name for the user whose subscription ended.
        public string broadcaster_user_id { get; set; } //The broadcaster user ID.
        public string broadcaster_user_login { get; set; } //The broadcaster login.
        public string broadcaster_user_name { get; set; } //The broadcaster display name.
        public string tier { get; set; } //The tier of the subscription that ended. Valid values are 1000, 2000, and 3000.
        public bool is_gift { get; set; } //Whether the subscription was a gift.
    }
}