namespace TwitchEventSub.Types.HypeTrain
{
    public class Contribution
    {
        public string user_id { get; set; } //The ID of the user.
        public string user_login { get; set; } //The login of the user.
        public string user_name { get; set; } //The display name of the user.
        public ContributionType type { get; set; } //Type of contribution. Valid values include bits, subscription.
        public int total { get; set; }
    }
    public enum ContributionType { unknown, bits, subscription }
}