namespace TwitchEventSub.Types.Offline
{
    public class ChannelUpdate : Event
    {
        public string broadcaster_user_id { get; set; } //The broadcaster’s user ID.
        public string broadcaster_user_login { get; set; } //The broadcaster’s user login.
        public string broadcaster_user_name { get; set; } //The broadcaster’s user display name.
        public string title { get; set; } //The channel’s stream title.
        public string language { get; set; } //The channel’s broadcast language.
        public string category_id { get; set; } //The channel’s category ID.
        public string category_name { get; set; } //The category name.
        public bool is_mature { get; set; }
    }
}