namespace TwitchEventSub.Types.Offline
{
    public class UserAuthorizationUpdate : Event
    {
        public string client_id { get; set; } //The client_id of the application that was granted user access.
        public string user_id { get; set; } //The user id for the user who has granted authorization for your client id.
        public string user_login { get; set; } //The user login for the user who has granted authorization for your client id.
        public string user_name { get; set; } //The user display name for the user who has granted authorization for your client id.
    }
    public class UserAuthorizationGrant : UserAuthorizationUpdate { }
    public class UserAuthorizationRevoke : UserAuthorizationUpdate { }
}