namespace TwitchEventSub.Types.Prediction
{
    public class Predictor
    {
        public string user_id { get; set; } //The ID of the user.
        public string user_login { get; set; } //The login of the user.
        public string user_name { get; set; } //The display name of the user.
        public int channel_points_won { get; set; } //The number of Channel Points won. This value is always null in the event payload for Prediction progress and Prediction lock. This value is 0 if the outcome did not win or if the Prediction was canceled and Channel Points were refunded.
        public int channel_points_used { get; set; } //The number of Channel Points used to participate in the Prediction.
    }
}